;------------------------------ BEAM-END.lsp --------------------------------
;
;
;(c)1988  Gale Gorman, 4016 Meadow Valley Lane, Las Vegas, NV  89107 
;                        
;
;BEAM-END.lsp draws end view of steel beam based on input corresponding
;	to the AISC Manual
;
(defun C:BEAM-END (/ p1 d tw bf tf)
	(setvar "blipmode" 0)
	(setvar "osmode" 0)
	(setvar "osmode" 32)
	(setq p1 (getpoint "\nCenter of Top Flange: "))
	(setvar "osmode" 0)
	(setq	d   (getdist "\nd= " )
		tw  (getdist "\ntw= ")
		bf  (getdist "\nbf= ")
		tf  (getdist "\ntf= ")
		p2  (polar p1 PI (/ bf 2))
		p3  (polar p2 (* PI 1.5) tf)
		p8  (polar p1 (* PI 1.5)(/ d 2))
		p5  (polar p8 PI (/ tw 2))
		p4  (list (car p5)(cadr p3))
		p6  (polar p4 PI (/ bf 4))
		p7  (polar p4 (* PI 1.5)(/ d 4))
		p9  (polar p8 PI (/ bf 2))
		p10 (polar p1 0 (/ bf 2))
		p11 (polar p9 (* PI 1.25) tw)
		p12 (polar p10 (/ PI 4) tw))
	(command "line" p1 p2 p3 p4 p5 ""
		"fillet" "r" 0.5 "fillet" p6 p7 ""
		"mirror" "w" p11 p12 ""  p1 p8 "n"
		"mirror" "w" p11 p12 "" p8 p9 "n")
	(setvar "blipmode" 1)
	(prin1)
)